## com.gargoylesoftware.htmlunit
Class Version

    java.lang.Object
      com.gargoylesoftware.htmlunit.Version

    public final class Version

extends java.lang.Object

Class to display version information about HtmlUnit. This is the class that will be executed if the JAR file is run.

Version:
  $Revision: 4002 $
Author:
  Mike Bowler, Ahmed Ashour

Method Summary
`static java.lang.String` `getCopyright()` Returns the copyright notice.
`static java.lang.String` `getProductName()` Returns "HTMLUnit".
`static java.lang.String` `getProductVersion()` Returns the current implementation version.
`static void` `main(java.lang.String[] args)` The main entry point into this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  The main entry point into this class.

  Parameters:
    `args` - the arguments passed on the command line
  Throws:
    `java.lang.Exception` - if an error occurs

### getProductName

    public static java.lang.String getProductName()

  Returns "HTMLUnit".

  Returns:
    "HTMLUnit"

### getProductVersion

    public static java.lang.String getProductVersion()

  Returns the current implementation version.

  Returns:
    the current implementation version

### getCopyright

    public static java.lang.String getCopyright()

  Returns the copyright notice.

  Returns:
    the copyright notice

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.